Index: code/branches/wagnis_HS18/data/levels/Wagnis.oxw
===================================================================
--- code/branches/wagnis_HS18/data/levels/Wagnis.oxw	(revision 12107)
+++ code/branches/wagnis_HS18/data/levels/Wagnis.oxw	(revision 12118)
@@ -10,7 +10,8 @@
   include("HUDTemplates3.oxo")
   include("templates/lodInformation.oxt")
-  include("templates/spaceshipAssff.oxt")
-  include("templates/spaceshipGhost.oxt")
-  include("templates/spaceshipSpacecruiser.oxt")
+?>
+
+<?lua
+  include("templates/wagnisCursor.oxt")
 ?>
 
@@ -49,63 +50,70 @@
 
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint position="-100, 45, 75" lookat="0,45,75" spawnclass=SpaceShip pawndesign=wagnisCursor />
 
-    <SpawnPoint 
-    position="100, 45, 75" 
-    lookat="0, 45, 75"
-    spawnclass=SpaceShip
-    pawndesign=spaceshipAssff
-    />
-
-<WagnisGameboard position="0,0,0" connections_string="1=2+1000, 2=1, 1000=1">
+<WagnisGameboard position="20,20,20" connections_string="1=2+1000, 2=1, 1000=1">
 
   <Provinces>
-
-    <WagnisProvince ID="1" continent="1" position="0,30,30" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+  
+    <WagnisProvince ID="1" collisionType=dynamic mass=100 continent="1" position="0,<?lua print((10+7))?>,<?lua print((135-6))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
       <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="2,2,2" />
+        <Billboard position="0,0,0" material="Examples/flare" colour="0, 0, 1" scale=1/>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape   position="0,0,0" radius="1" />
+      </collisionShapes>
+    </WagnisProvince>
+<!--
+    <WagnisProvince ID="2" continent="1" position="0,<?lua print((10-7))?>,<?lua print((135-10))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
       </attached>
     </WagnisProvince>
 
-    <WagnisProvince ID="2" continent="1" position="0,40,30" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+    <WagnisProvince ID="3" continent="1" position="0,<?lua print((10+15))?>,<?lua print((135+7))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
       <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="2,2,2" />
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
       </attached>
     </WagnisProvince>
 
-    <WagnisProvince ID="1000" continent="1" position="0,40,40" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+    <WagnisProvince ID="4" continent="1" position="0,<?lua print((10+6))?>,<?lua print((135+14))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
       <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="2,2,2" />
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+      </attached>
+    </WagnisProvince>
+
+    <WagnisProvince ID="5" continent="1" position="0,<?lua print((10))?>,<?lua print((135+6))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
       </attached>
     </WagnisProvince>
 
 
+
+
+
+
+    <WagnisProvince ID="6" continent="2" position="0,<?lua print((40-15))?>,<?lua print((90+28))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+      </attached>
+    </WagnisProvince>
+
+    <WagnisProvince ID="7" continent="2" position="0,<?lua print((40-19))?>,<?lua print((90+19))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+      </attached>
+    </WagnisProvince>
+
+
+    <WagnisProvince ID="1000" continent="1" position="0,90,150" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+      </attached>
+    </WagnisProvince>
+  -->
   </Provinces>
 </WagnisGameboard>
-
-<!-->
-  <WagnisProvince ID="1" continent="1" position="0,30,30" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-    <attached>
-      <Model position="0,0,0" mesh="ast1.mesh" scale3D="2,2,2" />
-    </attached>
- </WagnisProvince>
-
-  <WagnisProvince ID="1" continent="1" position="0,43,33" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-    <attached>
-      <Model position="0,0,0" mesh="ast1.mesh" scale3D="2,2,2" />
-    </attached>
-  </WagnisProvince>
-
-  <WagnisProvince ID="1" continent="1" position="0,22,28" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-    <attached>
-      <Model position="0,0,0" mesh="ast1.mesh" scale3D="2,2,2" />
-    </attached>
-  </WagnisProvince>
-
-  <WagnisProvince ID="1" continent="1" position="0,41,22" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-    <attached>
-      <Model position="0,0,0" mesh="ast1.mesh" scale3D="2,2,2" />
-    </attached>
-  </WagnisProvince>
-  -->
 
 <Model position="0,0,0" mesh="Coordinates.mesh" scale="20"/>
Index: code/branches/wagnis_HS18/data/levels/templates/wagnisCursor.oxt
===================================================================
--- code/branches/wagnis_HS18/data/levels/templates/wagnisCursor.oxt	(revision 12118)
+++ code/branches/wagnis_HS18/data/levels/templates/wagnisCursor.oxt	(revision 12118)
@@ -0,0 +1,84 @@
+<Template name=wagnisCursor>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipassffcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   shieldhealth        = 30
+   initialshieldhealth = 30
+   maxshieldhealth     = 50
+   shieldabsorption    = 0.8
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
+
+   primaryThrust     = 0
+   auxilaryThrust    = 0
+   rotationThrust    = 0
+
+   lift = 1;
+   stallSpeed = 0;
+
+   boostPower            = 0
+   boostPowerRate        = 0
+   boostRate             = 0
+   boostCooldownDuration = 0
+
+   shakeFrequency = 15
+   shakeAmplitude = 9
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+
+   explosionSound = "sounds/Explosion2.ogg"
+  >
+
+
+<weaponslots>
+      <WeaponSlot position="0,0,0" />
+      <WeaponSlot position="0,0,0" />
+</weaponslots>
+<weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+</weaponsets>
+<weaponpacks>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+        </links>
+        <Weapon>
+            <HsW01 mode=0 munitionpershot=1 delay=0     damage=1    material="Flares/point_lensflare" muzzleoffset="0, 0, 0" />
+            <HsW01 mode=1 munitionpershot=1 delay=0     damage=100  material="Flares/point_lensflare" muzzleoffset="0, 0, 0" />
+        </Weapon>
+      </WeaponPack>
+</weaponpacks>
+<munition>
+      <LaserMunition initialmagazines=800 maxmagazines=800 munitionpermagazine=1000 replenishamount=2 replenishinterval=7.5/>
+      <LightningMunition initialmagazines=400 maxmagazines=400 munitionpermagazine=800 />
+</munition>
+
+
+
+
+
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipassffcameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,10, 40" drag=true mouselook=true />
+      <CameraPosition position="0,20, 80" drag=true mouselook=true />
+      <CameraPosition position="0,30,120" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+