Index: code/branches/wagnis_HS18/src/modules/wagnis/CMakeLists.txt
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/CMakeLists.txt	(revision 12118)
+++ code/branches/wagnis_HS18/src/modules/wagnis/CMakeLists.txt	(revision 12119)
@@ -3,4 +3,5 @@
   WagnisGameboard.cc
   WagnisPlayer.cc
+  Wagnis.cc
 )
 
Index: code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc	(revision 12118)
+++ code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc	(revision 12119)
@@ -10,9 +10,34 @@
 RegisterClass(Wagnis);
 
+//Constructor
 Wagnis::Wagnis(Context* context) : Deathmatch(context){
     RegisterObject(Wagnis);
+    this->gameBoard = nullptr;
 }
 //Destructor
 Wagnis::~Wagnis(){}
+
+
+//Runs the game
+void Wagnis::start(){
+    
+}
+
+//Creates and links all needed classes
+void createGame(){
+
+}
+
+
+
+
+
+
+
+
+
+
+
+
 
 
Index: code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.h
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.h	(revision 12118)
+++ code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.h	(revision 12119)
@@ -28,4 +28,5 @@
 
 
+enum GameStage { CHOOSE_PROVINCE_STAGE, REINFORCEMENT_STAGE, ATTACK_STAGE, MOVE_STAGE };
 
 namespace orxonox
@@ -33,5 +34,15 @@
     class /**_WagnisExport**/ Wagnis : public Deathmatch
     {
+        public:
+        Wagnis(Context* context);
+        virtual ~Wagnis();
+        void start();
 
+
+
+        WagnisGameboard* gameBoard;
+
+        private:
+        void createGame();
     };
 }
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.h
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.h	(revision 12118)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.h	(revision 12119)
@@ -33,9 +33,11 @@
         void setConnections_string(const std::string&);
         std::string getConnections_string() const;
-        //
-        std::string connections_string;
+        //XML end
+        
         void initializeNeighbors(std::string);
 
 
+        
+        std::string connections_string;
         std::vector<WagnisProvince*> provs;
         int parse_int(std::string,unsigned int);
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.cc	(revision 12118)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.cc	(revision 12119)
@@ -44,4 +44,5 @@
 
             if(this->province_selection_changed && this->origin_province != nullptr && this->target_province != nullptr){
+                
                 this->province_selection_changed = false;
                 switch(gamestage){
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.h
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.h	(revision 12118)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.h	(revision 12119)
@@ -18,5 +18,5 @@
 
 enum MoveType { ATTACK, MOVE, SET_TROOPS, SET_TROOPS_INITIAL };
-enum GameStagexyz { CHOOSE_PROVINCE_STAGE, REINFORCEMENT_STAGE, ATTACK_STAGE, MOVE_STAGE };
+
 
 
@@ -40,5 +40,5 @@
 
 
-        GameStagexyz gamestage;
+        GameStage gamestage;
         bool province_selection_changed;
         bool is_active;
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc	(revision 12118)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc	(revision 12119)
@@ -7,5 +7,5 @@
 #include <vector>
 
-#define WAGNIS_PROVINCE_MAX_HEALTH 1000.0f
+#define WAGNIS_PROVINCE_MAX_HEALTH 1000000.0f
 
 /**TODO
@@ -29,5 +29,6 @@
         this->markerBillboard = nullptr;
         this->maxHealth_ = WAGNIS_PROVINCE_MAX_HEALTH;
-        this->health_ = WAGNIS_PROVINCE_MAX_HEALTH-10.0f; // <-- DEBUG
+        this->health_ = WAGNIS_PROVINCE_MAX_HEALTH;
+        
     }
     //Destructor