Index: /code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc
===================================================================
--- /code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc	(revision 12123)
+++ /code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc	(revision 12124)
@@ -14,4 +14,12 @@
     RegisterObject(Wagnis);
     this->gameBoard = nullptr;
+    this->gameStage = NOT_READY;
+
+    int n = 3;
+    for(int i = 1;i <= n;i++){
+        WagnisPlayer* p = new WagnisPlayer(context);
+        p->gameBoard = this->gameBoard;
+        this->players.push_back(p);
+    }
 }
 //Destructor
@@ -21,12 +29,34 @@
 //Runs the game
 void Wagnis::start(){
-    
+    //SUPER(Wagnis,start);
+    this->createGame();
+}
+
+//Tick
+void Wagnis::tick(float dt){
+    SUPER(Wagnis,tick,dt);
 }
 
 //Creates and links all needed classes
-void createGame(){
+void Wagnis::createGame(){\
+    orxout() << "Game creation started";
 
+    if(!findGameBoard()){
+        orxout() << "Error: GameBoard not found";
+    }
+
+    this->gameBoard->initializeNeighbors();
+    orxout() << "Game creation finished";
 }
 
+//Finds the pointer to the gameBoard
+bool Wagnis::findGameBoard(){
+    for (WagnisGameboard* gb : ObjectList<WagnisGameboard>()){
+        this->gameBoard = gb;
+        orxout()<<"Gameboard pointer found and added";
+        return true;
+    }
+    return false;
+}
 
 
Index: /code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.h
===================================================================
--- /code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.h	(revision 12123)
+++ /code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.h	(revision 12124)
@@ -5,7 +5,8 @@
 #define Wagnis_h
 
-
+#include "WagnisPrereqs.h"
 #include "WagnisGameboard.h"
 #include "WagnisProvince.h"
+#include "WagnisPlayer.h"
 #include "gametypes/Deathmatch.h"
 
@@ -28,6 +29,4 @@
 
 
-enum GameStage { CHOOSE_PROVINCE_STAGE, REINFORCEMENT_STAGE, ATTACK_STAGE, MOVE_STAGE };
-
 namespace orxonox
 {
@@ -38,4 +37,5 @@
         virtual ~Wagnis();
         void start();
+        void tick(float);
 
 
@@ -44,5 +44,8 @@
 
         private:
+        GameStage gameStage;
+        std::vector<WagnisPlayer*> players;
         void createGame();
+        bool findGameBoard();
     };
 }
Index: /code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.cc
===================================================================
--- /code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.cc	(revision 12123)
+++ /code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.cc	(revision 12124)
@@ -62,5 +62,6 @@
     //Parses the string and initializes the neigbors vector of all provinces according
     //Syntax: 32=7-8-4  , 2=33+5+7+1+4
-    void WagnisGameboard::initializeNeighbors(std::string str){
+    void WagnisGameboard::initializeNeighbors(){
+        std::string str = this->connections_string;
         orxout() << "inizializing started" << endl;
         orxout() << "String size:" << endl;
Index: /code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.h
===================================================================
--- /code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.h	(revision 12123)
+++ /code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.h	(revision 12124)
@@ -9,4 +9,5 @@
 #define Wagnis_Gameboard_h
 
+#include "WagnisPrereqs.h"
 #include "WagnisProvince.h"
 
@@ -35,8 +36,8 @@
         //XML end
         
-        void initializeNeighbors(std::string);
+        void initializeNeighbors();
 
 
-        
+
         std::string connections_string;
         std::vector<WagnisProvince*> provs;
Index: /code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.h
===================================================================
--- /code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.h	(revision 12123)
+++ /code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.h	(revision 12124)
@@ -7,4 +7,5 @@
 #define Wagnis_Player_h
 
+#include "WagnisPrereqs.h"
 #include "Wagnis.h"
 #include "OrxonoxPrereqs.h"
@@ -16,6 +17,4 @@
 #include <string>
 #include "infos/HumanPlayer.h"
-
-enum MoveType { ATTACK, MOVE, SET_TROOPS, SET_TROOPS_INITIAL };
 
 
Index: /code/branches/wagnis_HS18/src/modules/wagnis/WagnisPrereqs.h
===================================================================
--- /code/branches/wagnis_HS18/src/modules/wagnis/WagnisPrereqs.h	(revision 12123)
+++ /code/branches/wagnis_HS18/src/modules/wagnis/WagnisPrereqs.h	(revision 12124)
@@ -66,5 +66,10 @@
 {
 
+    class Wagnis;
     class WagnisProvince;
+    class WagnisGameboard;
+    class WagnisPlayer;
+    enum GameStage { NOT_READY, CHOOSE_PROVINCE_STAGE, REINFORCEMENT_STAGE, ATTACK_STAGE, MOVE_STAGE };
+    enum MoveType { ATTACK, MOVE, SET_TROOPS, SET_TROOPS_INITIAL };
 
 }