Index: code/branches/wagnis_HS18/data/levels/Wagnis.oxw
===================================================================
--- code/branches/wagnis_HS18/data/levels/Wagnis.oxw	(revision 12130)
+++ code/branches/wagnis_HS18/data/levels/Wagnis.oxw	(revision 12132)
@@ -56,6 +56,6 @@
 
   <Provinces>
-  
-    <WagnisProvince ID="1" health=10000 collisionType=dynamic mass=100 continent="1" position="0,<?lua print((10+7))?>,<?lua print((135-6))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+
+    <WagnisProvince ID="1" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=dynamic mass=100 continent="1" position="0,<?lua print((10+7))?>,<?lua print((135-6))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
       <attached>
         <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
@@ -65,4 +65,14 @@
       </collisionShapes>
     </WagnisProvince>
+
+    <WagnisProvince ID="1000" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=dynamic mass=100 continent="1" position="0,<?lua print((50+7))?>,<?lua print((135-6))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="3,3,3" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape   position="0,0,0" radius="2" />
+      </collisionShapes>
+    </WagnisProvince>
+  
 <!--
     <WagnisProvince ID="2" continent="1" position="0,<?lua print((10-7))?>,<?lua print((135-10))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
Index: code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc	(revision 12130)
+++ code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc	(revision 12132)
@@ -18,11 +18,8 @@
 
     int n = 3;
-    this->players.push_back(nullptr);
-    for(int i = 1;i <= n;i++){
+    for(int i = 0;i < n;i++){
         WagnisPlayer* p = new WagnisPlayer(context);
-        p->gameBoard = this->gameBoard;
-        p->Player_ID = i;
+        p->Player_ID = i+1;
         p->master = this;
-        //p->finishedStageCallback = &Wagnis::playerFinishedStage;
         this->players.push_back(p);
     }
@@ -37,9 +34,13 @@
     if(this->gameStage == NOT_READY){
         this->createGame();
+
+        for(WagnisPlayer* ptr: this->players){
+            ptr->gameBoard = this->gameBoard;
+        }
     }
 
-    //this->gameStage = CHOOSE_PROVINCE_STAGE;
-    //this->players[1]->gameStage = this->gameStage;
-    //this->players[1]->is_active = true;
+    this->gameStage = CHOOSE_PROVINCE_STAGE;
+    this->players.at(0)->gameStage = this->gameStage;
+    this->players.at(0)->is_active = true;
 }
 
@@ -57,9 +58,5 @@
  * enum GameStage { NOT_READY, CHOOSE_PROVINCE_STAGE, REINFORCEMENT_STAGE, ATTACK_STAGE, MOVE_STAGE };
  **/
-void Wagnis::playerFinishedStage(WagnisPlayer* player){
-
-    /////////////////TEST////////////
-    orxout()<<"juhuuuuuuuuuuuuuuuuuuu"<<endl;
-    /////////////////TEST////////////
+void Wagnis::playerFinishedStageCallback(WagnisPlayer* player){
 
     if(this->active_player != player->Player_ID){
@@ -69,24 +66,30 @@
         case CHOOSE_PROVINCE_STAGE:{
             player->is_active = false;
-            if(this->active_player+1 < this->players.size()){
+            if(this->active_player < this->players.size()){
                 this->active_player++;
-                this->players[this->active_player]->gameStage = CHOOSE_PROVINCE_STAGE;
-                this->players[this->active_player]->is_active = true;
+                WagnisPlayer* next = this->players[this->active_player-1];
+                next->gameStage = CHOOSE_PROVINCE_STAGE;
+                next->is_active = true;
+                orxout()<<"Player "<<next->Player_ID<<"\'s turn. Please choose province"<<endl;
             }else{
                 this->active_player = 1;
-                this->players[this->active_player]->gameStage = REINFORCEMENT_STAGE;
-                this->players[this->active_player]->is_active = true;
+                WagnisPlayer* next = this->players[this->active_player-1];
+                next->gameStage = REINFORCEMENT_STAGE;
+                this->gameStage = REINFORCEMENT_STAGE;
+                next->is_active = true;
+                orxout()<<"Player "<<next->Player_ID<<"\'s turn. Reinforcement"<<endl;
             }
             break;
         }
         case REINFORCEMENT_STAGE:{
-            
+            break;
         }
         case ATTACK_STAGE:{
-            
+            break;
         }
         case MOVE_STAGE:{
-            
+            break;
         }
+        default:{}
     }
 }
Index: code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.h
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.h	(revision 12130)
+++ code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.h	(revision 12132)
@@ -38,5 +38,5 @@
         void start();
         void tick(float);
-        void playerFinishedStage(WagnisPlayer*);
+        void playerFinishedStageCallback(WagnisPlayer*);
 
 
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.cc	(revision 12130)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.cc	(revision 12132)
@@ -34,5 +34,4 @@
         orxout() << "added" << endl;
         orxout() << province->getID() << endl;
-        
         this->provs.push_back(province);
     }
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.cc	(revision 12130)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.cc	(revision 12132)
@@ -21,4 +21,5 @@
         this->target_province = nullptr;
         this->province_selection_changed = false;
+        this->gameStage = NOT_READY;
     }
     //Destructor
@@ -30,19 +31,16 @@
         SUPER(WagnisPlayer, tick, dt);
 
-        ///////////TEST//////////////
-        /**
-        if(this->is_active){
-            (master ->* ((orxonox::WagnisPlayer*)this)->orxonox::WagnisPlayer::finishedStageCallback) (this);
-        }
-
-        **/
-        ///////////TEST//////////////
-
-
-
         if(this->is_active)
         {
+            
             for(WagnisProvince* prov:this->gameBoard->provs){
+                //orxout()<<"province health: "<<prov->getHealth()<<endl;
                 if(prov->getHealth() < prov->getMaxHealth()){
+                    //Check if next-player-button was hit
+                    if(prov->getID() == 1000){
+                        master->playerFinishedStageCallback(this);
+                        break;
+                    }
+                    //Check left/right click
                     if(prov->getHealth() <= prov->getMaxHealth()-1000.0f){
                         this->target_province = prov;
@@ -52,4 +50,5 @@
                         this->province_selection_changed = true;
                     }
+                    prov->setHealth(prov->getMaxHealth());
                 }
             }
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc	(revision 12130)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc	(revision 12132)
@@ -28,7 +28,8 @@
         this->neighbors = std::vector<WagnisProvince*>();
         this->markerBillboard = nullptr;
+        
+        this->initialHealth_ = WAGNIS_PROVINCE_MAX_HEALTH;
         this->maxHealth_ = WAGNIS_PROVINCE_MAX_HEALTH;
         this->health_ = WAGNIS_PROVINCE_MAX_HEALTH;
-        
     }
     //Destructor