Index: code/branches/wagnis_HS18/data/levels/Wagnis_testlevel.oxw
===================================================================
--- code/branches/wagnis_HS18/data/levels/Wagnis_testlevel.oxw	(revision 12133)
+++ code/branches/wagnis_HS18/data/levels/Wagnis_testlevel.oxw	(revision 12133)
@@ -0,0 +1,91 @@
+<LevelInfo
+ name = "Wagnis_testlevel"
+ description = "A clone of the iconic Risk."
+ tags = ""
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("WagnisHUD.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/wagnisCursor.oxt")
+?>
+
+
+<Level plugins="wagnis" gametype="Wagnis">
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/skyBoxBasic"
+  >
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint position="-100, 45, 75" lookat="0,45,75" spawnclass=SpaceShip pawndesign=wagnisCursor />
+
+<WagnisGameboard position="20,20,20" connections_string="1=2+3, 2=1, 3=1">
+
+
+  <Provinces>
+
+    <WagnisProvince ID="1" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=dynamic mass=100 continent="1" position="0,<?lua print((50))?>,<?lua print((70))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape   position="0,0,0" radius="2" />
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="2" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=dynamic mass=100 continent="1" position="0,<?lua print((40))?>,<?lua print((70))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape   position="0,0,0" radius="2" />
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="3" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=dynamic mass=100 continent="1" position="0,<?lua print((50))?>,<?lua print((80))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape   position="0,0,0" radius="2" />
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="1000" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=dynamic mass=100 continent="1" position="0,<?lua print((50+7))?>,<?lua print((135-6))?>" pitch=90 rotationrate="0" rotationaxis="0,0,0">
+      <attached>
+        <Model position="0,0,0" mesh="broke-satellite.mesh" scale3D="3,3,3" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape   position="0,0,0" radius="4" />
+      </collisionShapes>
+    </WagnisProvince>
+  
+
+  </Provinces>
+</WagnisGameboard>
+
+<Model position="0,0,0" mesh="Coordinates.mesh" scale="20"/>
+<MovableEntity position="0,0,0">
+    <attached>
+        <Billboard position="100,0,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+    </attached>
+</MovableEntity>
+
+
+
+    
+  </Scene>
+</Level>
+
Index: code/branches/wagnis_HS18/data/levels/templates/wagnisCursor.oxt
===================================================================
--- code/branches/wagnis_HS18/data/levels/templates/wagnisCursor.oxt	(revision 12132)
+++ code/branches/wagnis_HS18/data/levels/templates/wagnisCursor.oxt	(revision 12133)
@@ -1,5 +1,5 @@
 <Template name=wagnisCursor>
   <SpaceShip
-   hudtemplate            = spaceshiphud
+   hudtemplate            = WagnisHUD
    camerapositiontemplate = spaceshipassffcameras
    spawnparticlesource    = "Orxonox/fairytwirl"
@@ -13,5 +13,5 @@
    initialshieldhealth = 30
    maxshieldhealth     = 50
-   shieldabsorption    = 0.8
+   shieldabsorption    = 0.8f
    shieldrechargerate  = 1
    shieldrechargewaittime = 1
Index: code/branches/wagnis_HS18/data/overlays/WagnisHUD.oxo
===================================================================
--- code/branches/wagnis_HS18/data/overlays/WagnisHUD.oxo	(revision 12133)
+++ code/branches/wagnis_HS18/data/overlays/WagnisHUD.oxo	(revision 12133)
@@ -0,0 +1,14 @@
+<Template name="WagnisHUD">
+  <OverlayGroup name = "WagnisHuD" scale = "1, 1">  
+    
+    <HUDNavigation
+     name          = "Navigation"
+     correctaspect = true
+     font          = "Monofur"
+     textsize      = 0.02
+     navMarkerSize = 0.03
+     aimMarkerSize = 0.02
+    />
+
+  </OverlayGroup>
+</Template>