Index: /code/branches/wagnis_HS18/data/overlays/WagnisHUD.oxo
===================================================================
--- /code/branches/wagnis_HS18/data/overlays/WagnisHUD.oxo	(revision 12133)
+++ /code/branches/wagnis_HS18/data/overlays/WagnisHUD.oxo	(revision 12134)
@@ -7,6 +7,8 @@
      font          = "Monofur"
      textsize      = 0.02
-     navMarkerSize = 0.03
+     navMarkerSize = 0.05
      aimMarkerSize = 0.02
+     healthMarkerSize = 0
+     healthLevelMarkerSize = 0
     />
 
Index: /code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.cc
===================================================================
--- /code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.cc	(revision 12133)
+++ /code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.cc	(revision 12134)
@@ -1,5 +1,2 @@
-
-
-
 
 
@@ -64,6 +61,6 @@
                         if (checkMove(SET_TROOPS_INITIAL)){
                             this->target_province->owner_ID = this->Player_ID;
-                            this->target_province->troops += 1;
-                            orxout()<<"Province "<<this->target_province->ID<<" owned by Player "<<this->target_province->owner_ID<<" troops: "<<this->target_province->troops<<endl;
+                            this->target_province->setTroops(this->target_province->getTroops()+1);
+                            orxout()<<"Province "<<this->target_province->ID<<" owned by Player "<<this->target_province->owner_ID<<" troops: "<<this->target_province->getTroops()<<endl;
                             master->playerFinishedStageCallback(this);
                         }else{
@@ -77,6 +74,6 @@
                     {
                         if (checkMove(SET_TROOPS)){
-                            this->target_province->troops += 1;
-                            orxout()<<"Province "<<this->target_province->ID<<" owned by Player "<<this->target_province->owner_ID<<" troops: "<<this->target_province->troops<<endl;
+                            this->target_province->setTroops(this->target_province->getTroops()+1);
+                            orxout()<<"Province "<<this->target_province->ID<<" owned by Player "<<this->target_province->owner_ID<<" troops: "<<this->target_province->getTroops()<<endl;
                         }
                             
@@ -87,17 +84,17 @@
                         if (checkMove(ATTACK))
                         {
-                            while ((this->origin_province->troops > 1) && (this->target_province->troops > 0)) //still troops available
+                            while ((this->origin_province->getTroops() > 1) && (this->target_province->getTroops() > 0)) //still troops available
                             {
-                                while ((this->origin_province->troops >= 4) && (this->target_province->troops >= 2))
+                                while ((this->origin_province->getTroops() >= 4) && (this->target_province->getTroops() >= 2))
                                 {
                                     //normal fight, 3 attackers, 2 defenders
                                 }
 
-                                if ((this->origin_province->troops == 3) && (this->target_province->troops >= 2))
+                                if ((this->origin_province->getTroops() == 3) && (this->target_province->getTroops() >= 2))
                                 {
                                     //2 attackers, 2 defenders
                                 }
 
-                                if((this->origin_province->troops == 2) && (this->target_province->troops >= 2))
+                                if((this->origin_province->getTroops() == 2) && (this->target_province->getTroops() >= 2))
                                 {
                                     //1 attacker, 2 defenders
@@ -107,9 +104,9 @@
                             }
 
-                            if (this->target_province->troops == 0) //attacker won
+                            if (this->target_province->getTroops() == 0) //attacker won
                             {
                                 this->target_province->owner_ID = this->Player_ID;
-                                this->target_province->troops = (this->origin_province->troops - 1);
-                                this->origin_province->troops = 1;
+                                this->target_province->setTroops(this->origin_province->getTroops() - 1);
+                                this->origin_province->setTroops(1);
                             }
                         }
@@ -121,6 +118,6 @@
                         if (checkMove(MOVE))
                         {
-                            this->target_province->troops += ((this->origin_province->troops) - 1);
-                            this->origin_province->troops = 1;
+                            this->target_province->setTroops(this->origin_province->getTroops()-1);
+                            this->origin_province->setTroops(1);
                         }
                         break;
Index: /code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.h
===================================================================
--- /code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.h	(revision 12133)
+++ /code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.h	(revision 12134)
@@ -39,5 +39,4 @@
 
 
-        //void (Wagnis::*finishedStageCallback) (WagnisPlayer*);
         Wagnis* master;
         GameStage gameStage;
Index: /code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc
===================================================================
--- /code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc	(revision 12133)
+++ /code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc	(revision 12134)
@@ -2,8 +2,4 @@
 
 #include "WagnisProvince.h"
-#include "core/CoreIncludes.h"
-#include "BulletDynamics/Dynamics/btRigidBody.h"
-#include "worldentities/StaticEntity.h"
-#include <vector>
 
 #define WAGNIS_PROVINCE_MAX_HEALTH 1000000.0f
@@ -24,8 +20,8 @@
         this->owner_ID = -1;
         this->troops = 0;
+        this->setRadarName(std::to_string(0));
         this->ID = -1;
         this->continent = -1;
         this->neighbors = std::vector<WagnisProvince*>();
-        this->markerBillboard = nullptr;
         
         this->initialHealth_ = WAGNIS_PROVINCE_MAX_HEALTH;
@@ -42,16 +38,6 @@
         SUPER(WagnisProvince, XMLPort, xmlelement, mode);
 
-        XMLPortObject(WagnisProvince, Billboard, "MarkerBillboard", addMarkerBillboard, getMarkerBillboard, xmlelement, mode);
         XMLPortParam(WagnisProvince, "ID", setID, getID, xmlelement, mode);
         XMLPortParam(WagnisProvince, "continent", setContinent, getContinent, xmlelement, mode);
-    }
-
-    void WagnisProvince::addMarkerBillboard(Billboard* billi){
-        this->markerBillboard = billi;
-        attach(billi);
-    }
-    Billboard* WagnisProvince::getMarkerBillboard(unsigned int i) const{
-        if(i != 0) return nullptr;
-        return this->markerBillboard;
     }
 
@@ -68,4 +54,11 @@
     void WagnisProvince::setTroops(int troops){
         this->troops = troops;
+        this->setRadarName(std::to_string(troops));
+        //TEST
+        if(troops == 5){
+            Ogre::ColourValue cv = colour({255,255,255}, 100.0f);
+            this->setRadarObjectColour(cv);
+        }
+        
     }
     //set ID
@@ -102,7 +95,3 @@
         neighbors.push_back(prov);
     }
-
-    void WagnisProvince::setBillbardVisibility(bool b){
-        //TODO set visibility of billboard
-    }
 }
Index: /code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.h
===================================================================
--- /code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.h	(revision 12133)
+++ /code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.h	(revision 12134)
@@ -11,6 +11,8 @@
 #include "core/XMLPort.h"
 #include "worldentities/pawns/Pawn.h"
-#include "graphics/Billboard.h"
+#include "tools/OgreBulletUtils.h"
 #include <vector>
+#include <OgreColourValue.h>
+#include "tools/ToolsPrereqs.h"
 
 
@@ -25,6 +27,4 @@
 
         virtual void XMLPort(Element&,XMLPort::Mode);
-        void addMarkerBillboard(Billboard*);
-        Billboard* getMarkerBillboard(unsigned int) const;
 
         void setOwner_ID(int);
@@ -39,14 +39,14 @@
 
         void addNeighbor(WagnisProvince*);
-        void setBillbardVisibility(bool);
 
 
         std::vector<WagnisProvince*> neighbors;
         int owner_ID;
-        int troops;
         int ID;
         int continent;
-        
-        Billboard* markerBillboard;
+
+        private:
+        int troops;
+
     };
 }