Index: code/branches/TowerDefense_HS18/data/levels/emptyLevel.oxw
===================================================================
--- code/branches/TowerDefense_HS18/data/levels/emptyLevel.oxw	(revision 12136)
+++ code/branches/TowerDefense_HS18/data/levels/emptyLevel.oxw	(revision 12137)
@@ -29,4 +29,5 @@
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+    <Model position=“0,0,0“ mesh="finalenemy2.mesh" scale="3" />
     
   </Scene>
Index: code/branches/TowerDefense_HS18/data/levels/towerDefense.oxw
===================================================================
--- code/branches/TowerDefense_HS18/data/levels/towerDefense.oxw	(revision 12136)
+++ code/branches/TowerDefense_HS18/data/levels/towerDefense.oxw	(revision 12137)
@@ -23,5 +23,5 @@
   <TowerDefenseSelecter>
     <camerapositions>
-      <CameraPosition position="0,0,1400" lookat="0,0,0" absolute=true drag=true mouselook=true/>
+      <CameraPosition position="-50,-1200,1000" lookat="-50,0,-200" absolute=true drag=true mouselook=true/>
     </camerapositions>
   </TowerDefenseSelecter>
@@ -250,4 +250,214 @@
    explosionchunks        = 6
 
+   health            = 30
+   maxhealth         = 30
+   initialhealth     = 30
+
+   shieldhealth        = 0
+   initialshieldhealth = 0
+   maxshieldhealth     = 0
+   shieldabsorption    = 0.8
+   shieldrechargerate = 1
+   shieldrechargewaittime = 1
+
+   primaryThrust     = 100
+   auxilaryThrust    = 30
+   rotationThrust    = 80
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 15
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 9
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+
+   explosionSound = "sounds/Explosion2.ogg"
+  >
+
+    <engines>
+      <Engine position=" 0, 0, 0" 
+        boostfactor    = 2
+        speedfront     = 400
+        speedback      =  50
+        speedleftright =  50
+        speedupdown    =  50        
+        accelerationfront     = 500
+        accelerationbrake     = 500
+        accelerationback      =  125
+        accelerationleftright =  125
+        accelerationupdown    =  125
+      />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=180 pitch=0 roll=0 scale=7.5 mesh="finalenemy1.mesh" /> 
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes> 
+    </TowerDefenseEnemy>
+</Template>
+
+<Template name=enemytowerdefense2>
+  <TowerDefenseEnemy
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipassffcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 30
+   maxhealth         = 30
+   initialhealth     = 30
+
+   shieldhealth        = 0
+   initialshieldhealth = 0
+   maxshieldhealth     = 0
+   shieldabsorption    = 0.8
+   shieldrechargerate = 1
+   shieldrechargewaittime = 1
+
+   primaryThrust     = 100
+   auxilaryThrust    = 30
+   rotationThrust    = 80
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 15
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 9
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+
+   explosionSound = "sounds/Explosion2.ogg"
+  >
+
+    <engines>
+      <Engine position=" 0, 0, 0" 
+        boostfactor    = 2
+        speedfront     = 100
+        speedback      =  50
+        speedleftright =  50
+        speedupdown    =  50        
+        accelerationfront     = 500
+        accelerationbrake     = 500
+        accelerationback      =  125
+        accelerationleftright =  125
+        accelerationupdown    =  125
+      />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=180 pitch=0 roll=0 scale=7.5 mesh="finalenemy2.mesh" /> 
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes> 
+    </TowerDefenseEnemy>
+</Template>
+
+<Template name=enemytowerdefense3>
+  <TowerDefenseEnemy
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipassffcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 30
+   maxhealth         = 30
+   initialhealth     = 30
+
+   shieldhealth        = 0
+   initialshieldhealth = 0
+   maxshieldhealth     = 0
+   shieldabsorption    = 0.8
+   shieldrechargerate = 1
+   shieldrechargewaittime = 1
+
+   primaryThrust     = 100
+   auxilaryThrust    = 30
+   rotationThrust    = 80
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 15
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 9
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+
+   explosionSound = "sounds/Explosion2.ogg"
+  >
+
+    <engines>
+      <Engine position=" 0, 0, 0" 
+        boostfactor    = 2
+        speedfront     = 100
+        speedback      =  50
+        speedleftright =  50
+        speedupdown    =  50        
+        accelerationfront     = 500
+        accelerationbrake     = 500
+        accelerationback      =  125
+        accelerationleftright =  125
+        accelerationupdown    =  125
+      />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=180 pitch=0 roll=0 scale=19 mesh="finalenemy3.mesh" /> 
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes> 
+   </TowerDefenseEnemy>
+</Template>
+
+<Template name=enemytowerdefense1*>
+  <TowerDefenseEnemy
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipassffcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
    health            = 15
    maxhealth         = 15
@@ -301,9 +511,11 @@
       <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
     </collisionShapes>
-    <!-- Hier wurde der Controller entfernt-->
+    <controller>
+       <WaypointController accuracy = 50/>
+    </controller>
   </TowerDefenseEnemy>
 </Template>
 
-<Template name=enemytowerdefense2>
+<Template name=enemytowerdefense2*>
   <TowerDefenseEnemy
    hudtemplate            = spaceshiphud
@@ -362,5 +574,5 @@
     </engines>
     <attached>
-      <Model position="0,0,0" yaw=0 pitch=0 roll=0 scale=2.5 mesh="JumpEnemy3.mesh" />
+      <Model position="0,0,0" yaw=0 pitch=0 roll=0 scale=9 mesh="finalenemy4.mesh" /> 
     </attached>
     <collisionShapes>
@@ -372,8 +584,11 @@
       <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
     </collisionShapes> 
+    <controller>
+       <WaypointController accuracy = 50/>
+    </controller>
   </TowerDefenseEnemy>
 </Template>
 
-<Template name=enemytowerdefense3>
+<Template name=enemytowerdefense3*>
   <TowerDefenseEnemy
    hudtemplate            = spaceshiphud
@@ -432,5 +647,5 @@
     </engines>
     <attached>
-      <Model position="0,0,0" yaw=0 pitch=0 roll=0 scale=2.5 mesh="JumpEnemy4.mesh" />
+      <Model position="0,0,0" yaw=0 pitch=0 roll=0 scale=2.5 mesh="JumpEnemy4.mesh" /> 
     </attached>
     <collisionShapes>
@@ -442,4 +657,7 @@
       <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
     </collisionShapes>
+    <controller>
+       <WaypointController accuracy = 50/>
+    </controller>
   </TowerDefenseEnemy>
 </Template>
@@ -487,18 +705,19 @@
     tower4Cost=100
     tower5Cost=100
-    fields="F1F1F1R1I1I1I1I1O1F1F1F1F1F1F1F1
-            F1F1F1I2F1F1F1F1F1F1F1F1F1F1F1F1
-            F1F1F1I2F1F1F1F1F1F1F1F1F1F1F1F1
-            F1F1F1I2F1F1F1F1F1F1F1Y1Y1Y1F1F1
-            F1F1F1I2F1F1F1F1F1F1F1F1F1F1F1F1
-            F1F1F1I2F1F1F1F1F1F1F1Y1Y1Y1F1F1
-            F1F1F1R2I3I3I3I3I3I3I3L3F1F1F1F1
-            F1F1F1F1F1F1F1F1F1F1F1I2F1F1F1F1
-            F1F1F1F1F1F1F1F1F1F1F1I2F1F1F1F1
-            X1I1I1I1R0F1F1F1F1F1F1I2F1F1F1F1
-            F1F1F1F1I0F1F1F1F1F1F1I2F1F1F1F1
-            F1F1F1F1I0F1F1F1F1F1F1I2F1F1F1F1
-            F1F1F1F1L1I1I1I1I1I1I1L2F1F1F1F1
-            F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1
+    fields="F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1
+	    F1F1F1R1I1I1I1I1I1I1I1R0F1F1F1F1
+            F1F1F1I2F1F1F1F1F1F1F1I0F1F1F1F1
+            F1Y1F1I2F1F1F1F1Y1F1F1I0F1F1F1F1
+            F1F1F1I2F1F1Y1F1F1F1F1I0F1Y1F1F1
+            F1F1F1I2F1F1F1F1F1F1F1I0F1F1F1F1
+            F1F1F1I2F1F1F1F1F1F1F1I0F1F1F1F1
+            F1F1F1R2I3I3I3I3L3F1F1I0F1F1F1F1
+            F1F1F1F1F1F1F1F1I2F1F1I0F1F1F1F1
+            F1F1F1F1F1F1Y1F1I2F1F1I0F1F1F1F1
+            X1I1I1I1R0F1F1F1I2F1F1I0F1F1Y1F1
+            F1F1F1F1I0F1F1F1I2F1F1I0F1F1F1F1
+            F1F1F1F1I0F1F1F1I2F1F1I0F1F1F1F1
+            F1F1F1F1L1I1I1I1L2F1F1I0F1F1F1F1
+            F1F1Y1F1F1F1F1F1F1F1F1O0F1Y1F1F1
             F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1
             F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1"
@@ -512,5 +731,5 @@
     >
       <camerapositions>
-        <CameraPosition position="0,0,1400" lookat="0,0,0" absolute=true />
+        <CameraPosition position="0,0,1500" lookat="0,0,0" absolute=true />
       </camerapositions>    
     </TowerDefenseCenterpoint>
Index: code/branches/TowerDefense_HS18/src/modules/towerdefense/TowerDefenseController.cc
===================================================================
--- code/branches/TowerDefense_HS18/src/modules/towerdefense/TowerDefenseController.cc	(revision 12136)
+++ code/branches/TowerDefense_HS18/src/modules/towerdefense/TowerDefenseController.cc	(revision 12137)
@@ -82,6 +82,8 @@
         if(engine != nullptr) {
             speed = engine->getMaxSpeedFront(); //Geschwindigkeit wird ausgelesen
+            orxout() << "shiftshan" << endl;
         } else {
             speed = 100;
+            orxout() << "shiftshannonen" << endl;
         }
 
Index: code/branches/TowerDefense_HS18/src/modules/towerdefense/towerdefensereadme.txt
===================================================================
--- code/branches/TowerDefense_HS18/src/modules/towerdefense/towerdefensereadme.txt	(revision 12136)
+++ code/branches/TowerDefense_HS18/src/modules/towerdefense/towerdefensereadme.txt	(revision 12137)
@@ -12,5 +12,5 @@
 Represents a Tower
 I'm not actually sure if you have to code C++ in order to have your result. I would suggest to simply create a new spaceship template or maybe better a
-new template for a pawn. (The tower don't need to be spaceships; pawn is just fine.)
+new template for a pawn. (The towers don't need to be spaceships; pawn is just fine.)
 Example for a template: /data/levels/templates/assff.oxt && /data/levels/include/weaponSettingsAssff.oxi
 @ assff.oxt: you don't need an engine (or your towers could fly away :-) and probably no Cameras. (just try what happens if you leave them out.) 